### Method

# Camel MimeMessage set_date

#### Declaration [src]

    void
    camel_mime_message_set_date (
      CamelMimeMessage* message,
      time_t date,
      gint offset
    )

#### Description [src]

Set the date on a message.

In most cases, this is used to set the current date:

    camel_mime_message_set_date (message, CAMEL_MESSAGE_DATE_CURRENT, 0);

#### Parameters

`date`

  Type: `time_t`

  A time_t date or `CAMEL_MESSAGE_DATE_CURRENT` to use the current local date and time.

`offset`

  Type: `gint`

  An offset from UTC in decimal number using the +HHMM format (for instance an offset of -10:45 is -1045). If `date` set to `CAMEL_MESSAGE_DATE_CURRENT`, this parameter is ignored.